.controls{
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 80px;
}
.controls > div{
    width: 50%;
    box-sizing: border-box;
}
.shapewrap{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    border-bottom: 1px solid #ddd;
    position: relative;
    z-index: 20;
    padding: 20px 0;
}
.inputwrap label{
    font-size: 14px;
    display: inline-block;
    margin-bottom: 3px;
}
.inputwrap label span{
    color: #cc3333;
    font-weight: bold;
}
.inputwrap{
    box-sizing: border-box;
    padding: 2px 8px;
}
.topvalue > .inputwrap:first-of-type{
    width: 100%;
}
.inputwrap input{
    max-width: 100%;
}
.csshapewrap{
    display: inline-block;
    padding: 20px;
    position: relative;
    z-index: 10;
    color: #eee;
    font-size: 30px;
}
.csshape{
    display: block;
    width: 100%;
    height: 100%;
    padding: 20px;
    box-sizing: border-box;
    background-color: #47a2da;
    position: absolute;
    left: 0;
    top: 0;
    transition: all 300ms ease-out;
    z-index: -1;
    color: transparent;
}
.textfront .csshape,
.bkgimg .csshape,
.textin .csshapewrap,
.bkgimg .csshapewrap{
    color: transparent;
}
.textin .csshapewrap .csshape{
    color: #fff;
}
.bkgimg .csshape{
    background-image: url(bkg.jpg);
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
}
.csstyles{
    font-size: 14px;
    opacity: 0.8;
    position: relative;
    z-index: 20;
    transition: all 500ms ease-out;
    margin-bottom: 20px;
}
.csstyles > p{
    font-size: 13px;
    margin-bottom: 5px;
    color: #555;
}
.csstyles:hover{
    opacity: 1;
}
.reset{
    display: block;
    padding: 5px;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 0px;
    font-size: 10px;
    color: #cc3333;
    cursor: pointer;
    opacity: 0.6;
    transition: all 300ms ease-out;
}
.reset:hover{
    opacity: 1;
}
.smallfont{
    font-size: 11px;
    color: #aaa;
}

.ways{
    margin-top: 80px;
}
.ways > div{
    display: flex;
    justify-content: center;
}
.ways > div > div{
    padding: 5px;
}

@media all and (max-width: 1000px){
    .controls{
        display: block;
        margin-bottom: 80px;
    }
    .controls > div{
        width: auto;
    }
}